leonucadomi Posted June 27, 2023 Posted June 27, 2023 hello: I wonder if the following can be done. create a dimension with dimlinear, after execute dimcontinue and size "n" number of objects press enter or right button or escape and create a dimension that is the sum of those individual dimensions. separated a given distance. greetings Quote
Tharwat Posted June 27, 2023 Posted June 27, 2023 You can switch off the CMDECHO system variable if the history of the command calls bothers you then reset it back to its original value, so here my initial attempt in this regard. (defun c:Test (/ 1pt 2pt 3pt hgt ang pt1) ;;----------------------------------------------------;; ;; Author : Tharwat Al Choufi ;; ;; website: https://autolispprograms.wordpress.com ;; ;;----------------------------------------------------;; (and (setq 1pt (getpoint "\nSpecify first extension line origin : ")) (setq 2pt (getpoint "\nSpecify second extension line origin : " 1pt)) (vl-cmdf "_.DIMLINEAR" "_non" 1pt "_non" 2pt "\\") (setq 3pt (getvar 'LASTPOINT) hgt (distance 2pt 3pt) ang (angle 2pt 3pt) pt1 1pt ) (progn (while (setq 1pt (getpoint "\nSpecify next extension line origin < enter = exit safely> : " 2pt)) (vl-cmdf "_.DIMLINEAR" "_non" 2pt "_non" 1pt "_non" 3pt) (setq 2pt 1pt) ) (vl-cmdf "_.DIMLINEAR" "_non" pt1 "_non" 2pt "_non" (polar 3pt ang hgt)) ) ) (princ) ) 1 Quote
leonucadomi Posted June 27, 2023 Author Posted June 27, 2023 I like it, I will study it... thanks Quote
BIGAL Posted June 28, 2023 Posted June 28, 2023 (edited) Using lisp, I think a more what it is your Dimming would be helpful as you can do select multiple say lines and dimension and also do the overall with a lisp. Post a dwg. Another way is to select all dims and get a start and end point to use. Another is pick, pick points and remember the pick points use 1st and last point, maybe the easiest way. Edited June 28, 2023 by BIGAL 1 Quote
Tharwat Posted June 28, 2023 Posted June 28, 2023 10 hours ago, leonucadomi said: I like it, I will study it... thanks You're welcome and good luck. 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.